Subject: [oauth-ext-review] [IANA #1207583] Additional IANA registration from draft-ietf-ace-oauth-authz (oauth-parameters)

From: "Michelle Cotton via RT" <[email-masked]>
Date: Wed, 15 Sep 2021 17:49:20 +0000

Resending this to include the [email-masked] mailing list.

Ben, can you provide any additional context for Justin?

Thank you in advance.

Michelle Cotton
Protocol Parameters Engagement Sr. Manager
IANA Services

On Mon Aug 23 18:23:30 2021, [email-masked] wrote:
> HI Sabrina,
> 
> I’m a little confused as to why this would need to be registered since
> it’s not really specific to the introspection response, but instead
> something in ACE. The introspection response is defined as a JSON
> object, and the claim in question is being listed as “a byte string”,
> and so I don’t know exactly what that means for the context of the
> introspection response. The other claims can all be expressed in a
> JSON object or a CBOR map, but for “cti" to be registered as a general
> claim it would need to be expressible in both as well.
> 
> Ben, any additional context on this that I might be missing?
> Especially as it comes to translating between CBOR and JSON values.
> 
> — Justin
> 
> > On Aug 23, 2021, at 1:41 PM, Michelle Cotton via RT <drafts-expert-
> > [email-masked]> wrote:
> >
> > Hello Justin,
> >
> > For draft-ietf-ace-oauth-authz an additional registrations was added
> > that requires expert review.
> >
> > The proposed description of the parameter can be found at the
> > following:
> > https://urldefense.com/v3/__https://mailarchive.ietf.org/arch/msg/ace/LMLBtEcNMRTJHhHG2PUxmkzk37A/__;!!PtGJab4!o6NlRQfch8XVNVsmxNVIXUY9dm6Fg1JT9wiP--
> >   Qr7jDe2IvC6_d8jQ0ewWAiFvfnnqQmAwHyhAA$
> >
> > Please indicate if clarification is needed regarding the proposed
> > registration if the above information is not clear.
> >
> > The IESG has asked us to set a two-week deadline for registration
> > reviews. The due date for this request is 2021-09-06.
> >   However, if you could get back to us as soon as possible that would
> > be appreciated as this document is close to approval.
> >
> > Thank you,
> >
> > Michelle Cotton
> > Protocol Parameters Engagement Sr. Manager
> > IANA Services
> >